# Maintainer: Liya <liyalinux@protonmail.com>
pkgname=msm-gui
pkgver=0.5.6
pkgrel=1
pkgdesc="Manjaro's Settings Manager Backported To Arch Linux"
arch=("x86_64")
url="https://gitlab.com/liya5/generic-apps/$pkgname"
license=('GPLv3')
depends=("icu" "qt5-base" "hwinfo" "kitemmodels" "kauth" "kcoreaddons" "ckbcomp" "xdg-utils" "mhwd-arch" "mhwd-db-arch")
makedepends=("git" "cmake" "extra-cmake-modules" "kdoctools" "qt5-tools" "knotifications" "kconfigwidgets" "kcmutils")
source=("git+$url.git")
md5sums=('SKIP')
package() {
    cd $pkgname
    mkdir -p build
    cd build
    cmake ../ \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DLIB_INSTALL_DIR=lib \
    -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
    -DSYSCONF_INSTALL_DIR=/etc
    make DESTDIR=${pkgdir} install
}

